Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class InterMediaVideo

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.Category
                          oracle.ifs.beans.TieCategory
                              oracle.ifs.beans.InterMediaSource
                                  oracle.ifs.beans.TieInterMediaSource
                                      oracle.ifs.beans.InterMediaVideo

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieInterMediaVideo

    public class InterMediaVideo

extends TieInterMediaSource

InterMediaVideo subclass. This Category subclass is meant to represent meta data extracted from a video file. The extraction is performed by the InterMediaAnnotatorAgent. Typically, an instance of this class is created for movie files, in which case there will also be an instance of InterMediaMovie (and likely InterMediaAudio) also associated with the movie file.

(Published)

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `VIDEODEPTH_ATTRIBUTE` Name of the VIDEODEPTH Attribute
`static java.lang.String` | `VIDEOFRAMERATE_ATTRIBUTE` Name of the VIDEOFRAMERATE Attribute
`static java.lang.String` | `VIDEOFRAMESIZE_ATTRIBUTE` Name of the VIDEOFRAMESIZE Attribute
`static java.lang.String` | `VIDEOHORIZONTALRES_ATTRIBUTE` Name of the VIDEOHORIZONTALRES Attribute
`static java.lang.String` | `VIDEOISGRAYSCALE_ATTRIBUTE` Name of the VIDEOISGRAYSCALE Attribute
`static java.lang.String` | `VIDEOSRCHEIGHT_ATTRIBUTE` Name of the VIDEOSRCHEIGHT Attribute
`static java.lang.String` | `VIDEOSRCWIDTH_ATTRIBUTE` Name of the VIDEOSRCWIDTH Attribute
`static java.lang.String` | `VIDEOVERTICALRES_ATTRIBUTE` Name of the VIDEOVERTICALRES Attribute

Fields inherited from class oracle.ifs.beans.InterMediaSource
`MEDIAAUTHORINGTOOL_ATTRIBUTE, MEDIABITRATE_ATTRIBUTE, MEDIACATEGORY_ATTRIBUTE, MEDIACONTENTDATE_ATTRIBUTE, MEDIACOPYRIGHT_ATTRIBUTE, MEDIACREATIONTIME_ATTRIBUTE, MEDIACREDITS_ATTRIBUTE, MEDIADESCRIPTION_ATTRIBUTE, MEDIADURATION_ATTRIBUTE, MEDIAFORMATENCODING_ATTRIBUTE, MEDIAFORMATENCODINGCODE_ATTRIBUTE, MEDIAINFORMATION_ATTRIBUTE, MEDIALANGUAGE_ATTRIBUTE, MEDIAMODIFICATIONTIME_ATTRIBUTE, MEDIAPRODUCER_ATTRIBUTE, MEDIASIZE_ATTRIBUTE, MEDIASOURCEDIRECTORY_ATTRIBUTE, MEDIASOURCEFILEFORMAT_ATTRIBUTE, MEDIASOURCEFILEFORMATCODE_ATTRIBUTE, MEDIASOURCEFILENAME_ATTRIBUTE, MEDIASOURCEMIMETYPE_ATTRIBUTE, MEDIASOURCEPROTOCOL_ATTRIBUTE, MEDIASOURCESTREAMABLE_ATTRIBUTE, MEDIASOURCEURL_ATTRIBUTE, MEDIATIMESCALE_ATTRIBUTE, MEDIATITLE_ATTRIBUTE, MEDIATRACKID_ATTRIBUTE, MEDIAUSERDATA_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.Category
`ASSOCIATEDPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `InterMediaVideo(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a InterMediaVideo object - standard variant.

Method Summary
`java.lang.Integer` | `getVideoDepth()` returns the Number of bits defining the color depth
`java.lang.Long` | `getVideoFrameRate()` returns the Frames per second
`java.lang.Long` | `getVideoFrameSize()` returns the Size per Frame
`java.lang.Integer` | `getVideoHorizontalRes()` returns the Horizontal Resolution in pxl/in
`boolean` | `getVideoIsGrayScale()` returns true if the video contains colors, false otherwise
`java.lang.Long` | `getVideoSrcHeight()` returns the Video Source Height in pixels
`java.lang.Long` | `getVideoSrcWidth()` returns the Video Source Width in pixels
`java.lang.Integer` | `getVideoVerticalRes()` returns the Vertical Resolution in pxl/in

Methods inherited from class oracle.ifs.beans.InterMediaSource
`getMediaAuthoringTool, getMediaBitRate, getMediaCategory, getMediaContentDate, getMediaCopyright, getMediaCreationTime, getMediaCredits, getMediaDescription, getMediaDuration, getMediaFormatEncoding, getMediaFormatEncodingCode, getMediaFormatUserData, getMediaInformation, getMediaLanguage, getMediaModificationTime, getMediaProducer, getMediaSize, getMediaSourceDirectory, getMediaSourceFileFormat, getMediaSourceFileFormatCode, getMediaSourceFilename, getMediaSourceMimeType, getMediaSourceProtocol, getMediaSourceStreamable, getMediaSourceURL, getMediaTimeScale, getMediaTitle, getMediaTrackID`

Methods inherited from class oracle.ifs.beans.Category
`constructCategory, constructCategoryArray, constructCategoryVector, getAssociatedPublicObject, getFlagUpdatesForCreate, getFlagUpdatesForFree, moveCategory, postCreate, preFree, updateFlagsUponCreate, updateFlagsUponFree`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postUpdate, preCopy, preCreate, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `InterMediaVideo`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### VIDEOFRAMERATE_ATTRIBUTE

    public static final java.lang.String VIDEOFRAMERATE_ATTRIBUTE

  Description copied from class: `InterMediaVideo`
  Name of the VIDEOFRAMERATE Attribute

  See Also:
    Constant Field Values
  (Published)

### VIDEOFRAMESIZE_ATTRIBUTE

    public static final java.lang.String VIDEOFRAMESIZE_ATTRIBUTE

  Description copied from class: `InterMediaVideo`
  Name of the VIDEOFRAMESIZE Attribute

  See Also:
    Constant Field Values
  (Published)

### VIDEOSRCHEIGHT_ATTRIBUTE

    public static final java.lang.String VIDEOSRCHEIGHT_ATTRIBUTE

  Description copied from class: `InterMediaVideo`
  Name of the VIDEOSRCHEIGHT Attribute

  See Also:
    Constant Field Values
  (Published)

### VIDEOSRCWIDTH_ATTRIBUTE

    public static final java.lang.String VIDEOSRCWIDTH_ATTRIBUTE

  Description copied from class: `InterMediaVideo`
  Name of the VIDEOSRCWIDTH Attribute

  See Also:
    Constant Field Values
  (Published)

### VIDEOHORIZONTALRES_ATTRIBUTE

    public static final java.lang.String VIDEOHORIZONTALRES_ATTRIBUTE

  Description copied from class: `InterMediaVideo`
  Name of the VIDEOHORIZONTALRES Attribute

  See Also:
    Constant Field Values
  (Published)

### VIDEOVERTICALRES_ATTRIBUTE

    public static final java.lang.String VIDEOVERTICALRES_ATTRIBUTE

  Description copied from class: `InterMediaVideo`
  Name of the VIDEOVERTICALRES Attribute

  See Also:
    Constant Field Values
  (Published)

### VIDEOISGRAYSCALE_ATTRIBUTE

    public static final java.lang.String VIDEOISGRAYSCALE_ATTRIBUTE

  Description copied from class: `InterMediaVideo`
  Name of the VIDEOISGRAYSCALE Attribute

  See Also:
    Constant Field Values
  (Published)

### VIDEODEPTH_ATTRIBUTE

    public static final java.lang.String VIDEODEPTH_ATTRIBUTE

  Description copied from class: `InterMediaVideo`
  Name of the VIDEODEPTH Attribute

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### InterMediaVideo

    protected InterMediaVideo(LibrarySession session,
                              java.lang.Long id,
                              java.lang.Long classId,
                              S_LibraryObjectData data)
                       throws IfsException

  Constructs a InterMediaVideo object - standard variant.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data components
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getVideoFrameRate

    public java.lang.Long getVideoFrameRate()
                                     throws IfsException

  Description copied from class: `InterMediaVideo`
  returns the Frames per second

  Returns:
    Frames per second
  Throws:
    `IfsException` - if operation fails
  (Published)

### getVideoFrameSize

    public java.lang.Long getVideoFrameSize()
                                     throws IfsException

  Description copied from class: `InterMediaVideo`
  returns the Size per Frame

  Returns:
    Size per Frame
  Throws:
    `IfsException` - if operation fails
  (Published)

### getVideoSrcHeight

    public java.lang.Long getVideoSrcHeight()
                                     throws IfsException

  Description copied from class: `InterMediaVideo`
  returns the Video Source Height in pixels

  Returns:
    Video Source Height in pixels
  Throws:
    `IfsException` - if operation fails
  (Published)

### getVideoSrcWidth

    public java.lang.Long getVideoSrcWidth()
                                    throws IfsException

  Description copied from class: `InterMediaVideo`
  returns the Video Source Width in pixels

  Returns:
    Video Source Width in pixels
  Throws:
    `IfsException` - if operation fails
  (Published)

### getVideoHorizontalRes

    public java.lang.Integer getVideoHorizontalRes()
                                            throws IfsException

  Description copied from class: `InterMediaVideo`
  returns the Horizontal Resolution in pxl/in

  Returns:
    Horizontal Resolution in pxl/in
  Throws:
    `IfsException` - if operation fails
  (Published)

### getVideoVerticalRes

    public java.lang.Integer getVideoVerticalRes()
                                          throws IfsException

  Description copied from class: `InterMediaVideo`
  returns the Vertical Resolution in pxl/in

  Returns:
    Vertical Resolution in pxl/in
  Throws:
    `IfsException` - if operation fails
  (Published)

### getVideoIsGrayScale

    public boolean getVideoIsGrayScale()
                                throws IfsException

  Description copied from class: `InterMediaVideo`
  returns true if the video contains colors, false otherwise

  Returns:
    true if the video contains colors, false otherwise
  Throws:
    `IfsException` - if operation fails
  (Published)

### getVideoDepth

    public java.lang.Integer getVideoDepth()
                                    throws IfsException

  Description copied from class: `InterMediaVideo`
  returns the Number of bits defining the color depth

  Returns:
    Number of bits defining the color depth
  Throws:
    `IfsException` - if operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD